跳转到主要内容
POST
https://api.aisa.one/apis/v1
/
dataforseo
/
app_data
/
google
/
app_list
/
task_post
设置 Google 应用列表任务
curl --request POST \
  --url https://api.aisa.one/apis/v1/dataforseo/app_data/google/app_list/task_post \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "app_collection": "<string>",
  "location_name": "<string>",
  "location_code": 123,
  "language_name": "<string>",
  "language_code": "<string>",
  "postback_data": "<string>",
  "priority": 123,
  "depth": 123,
  "app_category": "<string>",
  "age_rating": "<string>",
  "tag": "<string>",
  "postback_url": "<string>",
  "pingback_url": "<string>"
}
'
import requests

url = "https://api.aisa.one/apis/v1/dataforseo/app_data/google/app_list/task_post"

payload = {
    "app_collection": "<string>",
    "location_name": "<string>",
    "location_code": 123,
    "language_name": "<string>",
    "language_code": "<string>",
    "postback_data": "<string>",
    "priority": 123,
    "depth": 123,
    "app_category": "<string>",
    "age_rating": "<string>",
    "tag": "<string>",
    "postback_url": "<string>",
    "pingback_url": "<string>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    app_collection: '<string>',
    location_name: '<string>',
    location_code: 123,
    language_name: '<string>',
    language_code: '<string>',
    postback_data: '<string>',
    priority: 123,
    depth: 123,
    app_category: '<string>',
    age_rating: '<string>',
    tag: '<string>',
    postback_url: '<string>',
    pingback_url: '<string>'
  })
};

fetch('https://api.aisa.one/apis/v1/dataforseo/app_data/google/app_list/task_post', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "version": "<string>",
  "status_code": 123,
  "status_message": "<string>",
  "time": "<string>",
  "cost": 123,
  "tasks_count": 123,
  "tasks_error": 123,
  "tasks": [
    "<string>"
  ],
  "tasks.id": "<string>",
  "tasks.status_code": 123,
  "tasks.status_message": "<string>",
  "tasks.time": "<string>",
  "tasks.cost": 123,
  "tasks.result_count": 123,
  "tasks.path": [
    "<string>"
  ],
  "tasks.data": {},
  "tasks.result": [
    "<string>"
  ]
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

请求体

application/json
app_collection
string
必填

应用集合;必填字段;要从中收集应用的 Google Play 应用集合;可以指定以下值:featured, topselling_paid, topselling_free, topselling_new_free, topselling_new_paid, topgrossing, movers_shakers;注意:如果选择 featured,则不能使用 app_category 参数

location_name
string
必填

搜索引擎位置的完整名称;如果未指定 location_code,则为必填字段。如果使用此字段,则无需指定 location_code。您可以向 https://api.dataforseo.com/v3/app_data/google/locations 单独发出请求,以获取搜索引擎的可用位置及其 location_name 列表;示例:West Los Angeles,California,United States

location_code
integer
必填

搜索引擎位置代码;如果未指定 location_name,则为必填字段;如果使用此字段,则无需指定 location_name;您可以通过向 https://api.dataforseo.com/v3/app_data/google/locations 单独发送请求,获取搜索引擎的可用位置及其 location_code 列表;示例:9061121

language_name
string
必填

搜索引擎语言的完整名称;如果未指定 language_code,则为必填字段;如果使用此字段,则无需指定 language_code;您可以通过向 https://api.dataforseo.com/v3/app_data/google/languages 单独发送请求,获取包含 language_name 的可用语言列表;示例:English

language_code
string
必填

搜索引擎语言代码。如果未指定 language_name,则此字段为必填字段。如果使用此字段,则无需指定 language_name。您可以通过向 https://api.dataforseo.com/v3/app_data/google/languages 单独发送请求,获取包含 language_code 的可用语言列表。示例:en

postback_data
string
必填

postback_url 数据类型;如果指定 postback_url,则为必填字段;对应将发送到您服务器的数据类型;可选值:advanced、html

priority
integer

任务优先级,可选字段,可采用以下值:1 – 普通执行优先级(默认设置);2 – 高执行优先级。高执行优先级任务将收取额外费用。费用可在定价页面计算。

depth
integer

解析深度 可选字段 API 响应中返回的应用数量;强烈建议将解析深度设置为 100 的倍数,因为系统每批处理 100 条结果;默认值:100;最大值:200;您的账户将按每个最多包含 100 条结果的 SERP 计费;如果搜索引擎返回超过 100 条结果,将 depth 设置为高于 100 可能产生额外费用;费用可在定价页面计算。

app_category
string

Google Play 上的应用类别,可选字段;可按应用类别筛选结果;示例:family;可通过向 https://api.dataforseo.com/v3/app_data/google/categories 单独发起请求获取可用类别的完整列表。注意:如果设置了 app_collection 参数,则不能使用 app_category

age_rating
string

按年龄分级筛选结果 可选字段 可以使用此字段按年龄分级筛选结果;可用筛选类型:ages_up_to_5 — 返回获准供 5 岁及以下儿童使用的应用;ages_6_8 — 返回获准供 6 至 8 岁儿童使用的应用;ages_9_12 — 返回获准供 9 至 12 岁儿童使用的应用;默认情况下,API 返回适合所有年龄段的应用;注意:此筛选器仅与 "category": "family" 参数结合使用时有效

tag
string

用户定义的任务标识符。可选字段。字符数限制为 255。您可以使用此参数标识任务并将其与结果匹配;您将在响应的 data 对象中找到指定的 tag 值

postback_url
string

用于发送任务结果的 URL,可选字段。任务完成后,我们会将结果以 gzip 格式压缩,并向您指定的 postback_url 发送 POST 请求。可以使用字符串‘$id’作为 $id 变量,使用‘$tag’作为经过 URL 编码的 $tag 变量。我们将在发送请求前设置所需值。示例:http://your-server.com/postbackscript?id=$id http://your-server.com/postbackscript?id=$id&tag=$tag。注意:postback_url 中的特殊字符将进行 URL 编码;例如,# 字符将编码为 %23

pingback_url
string

已完成任务的通知 URL;可选字段;任务完成后,我们会向您指定的 URL 发送 GET 请求以通知您;您可以使用字符串 ‘$id’ 作为 $id 变量,并使用 ‘$tag’ 作为经过 URL 编码的 $tag 变量。我们会在发送请求前设置必要的值。示例:http://your-server.com/pingscript?id=$id http://your-server.com/pingscript?id=$id&tag=$tag 注意:pingback_url 中的特殊字符将进行 URL 编码;例如,# 字符将编码为 %23

响应

成功响应

version
string

API 的当前版本

status_code
integer

通用状态码;您可以在此处查看完整的响应码列表。注意:我们强烈建议设计必要的系统来处理相关异常或错误情况

status_message
string

常规信息消息;可在此处查看常规信息消息的完整列表

time
string

执行时间(秒)

cost
number

任务总成本(美元)

tasks_count
integer

tasksarray 中的任务数量

tasks_error
integer

返回错误的 tasks 数组中的任务数量

tasks
string[]

任务数组

tasks.id
string

系统中采用通用唯一标识符(UUID)格式的唯一任务标识符

tasks.status_code
integer

DataForSEO 生成的任务状态码;范围可以是 10000-60000

tasks.status_message
string

任务的信息性消息

tasks.time
string

执行时间(秒)

tasks.cost
number

任务成本(美元)

tasks.result_count
integer

结果数组中的元素数量

tasks.path
string[]

URL 路径

tasks.data
object

包含您在 POST 请求中指定的相同参数

tasks.result
string[]

结果数组;在此情况下,该值将为 null